> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Member Document

> Archives the member document and removes it from normal API and employee access. The private file is retained, and there is no partner-facing restore endpoint. Requires the memberdocument:write scope.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml delete /member_documents/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_documents/{public_id}:
    delete:
      tags:
        - member_documents
      description: >-
        Archives the member document and removes it from normal API and employee
        access. The private file is retained, and there is no partner-facing
        restore endpoint. Requires the memberdocument:write scope.
      operationId: member_documents_destroy
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````